Package javax.help.event

# Class HelpHistoryModelEvent

java.lang.Object
java.util.EventObject
javax.help.event.HelpHistoryModelEvent

All Implemented Interfaces:
  `Serializable`

public class HelpHistoryModelEvent extends EventObject
Notifies interested parties that a change in a Help History Model source has occurred.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HelpHistoryModelEvent(Object source, boolean previous, boolean next)`
Represents a history change

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isNext()`
Returns if action "next" is allowed
`boolean`
`isPrevious()`
Returns if action "previous" is allowed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HelpHistoryModelEvent

public HelpHistoryModelEvent(Object source, boolean previous, boolean next)
Represents a history change

Parameters:
  `source` - The source for this event.
  `previous` - If true a previous action is allowed.
  `next` - If true a next action is allowed.
Throws:
  `IllegalArgumentException` - if source is null.

## Method Details

### isPrevious

public boolean isPrevious()
Returns if action "previous" is allowed.

Returns:
  True if action is allowed, false otherwise.

### isNext

public boolean isNext()
Returns if action "next" is allowed

Returns:
  True if action is allowed, false otherwise.